View Issue Details

IDProjectCategoryLast Update
0018857Starward Rogue[All Projects] Crash/ExceptionFeb 7, 2018 4:22 pm
ReporterMonkookyAssigned Tox4000Bughunter 
Severitycrash 
Status resolvedResolutionfixed 
Product Version1.501 
Fixed in Version2.001 (Die A Fiery Death, Audio Crash) 
Summary0018857: Crash when leaving free secret shop
DescriptionTeleported into free secret shop
Dashed out the entrance full tilt
Immediately following my departure, screen displayed secret shop.
Game froze
Game crashed

I believe I was inside a wall opposite the entrance, but the time between freeze and crash was not long.
TagsNo tags attached.

Relationships

related to 0018847 resolvedx4000Bughunter R6025 pure vital function call crash after leaving Major Item Room 

Activities

ptarth

Aug 22, 2016 2:29 am

developer   ~0045560

Any error messages or logs? Logs are the files with the word log and .txt files in Starward Rogue/RuntimeData/.

Monkooky

Aug 22, 2016 4:29 am

reporter  

ErrorsReportedByEngine.txt (289 bytes)
8/21/2016 3:30:38 PM (1.501) Mem: 104,955,904 Mode: SinglePlayerOrMultiplayerHost Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
Trying to reload asset from disk that is not stored on disk
Stack Trace: 


Monkooky

Aug 22, 2016 4:30 am

reporter  

ArcenDebugLog.txt (57,739 bytes)
8/17/2016 12:38:39 AM
Steamworks Init     8/17/2016 12:38:39 AM
Steamworks IsRunning: True     8/17/2016 12:38:39 AM
GameInit (0 - 8/17/2016 12:38:39 AM)     8/17/2016 12:38:43 AM
GameInit (1 - 8/17/2016 12:38:43 AM)     8/17/2016 12:38:43 AM
Version: 1.501     8/17/2016 12:38:43 AM
sound file count: 793     8/17/2016 12:38:43 AM
sound loading finished     8/17/2016 12:38:43 AM
GameInit (2 - 8/17/2016 12:38:43 AM)     8/17/2016 12:38:54 AM
GameInit (3 - 8/17/2016 12:38:54 AM)     8/17/2016 10:13:33 AM
Steamworks Init     8/17/2016 10:13:33 AM
Steamworks IsRunning: True     8/17/2016 10:13:33 AM
GameInit (0 - 8/17/2016 10:13:33 AM)     8/17/2016 10:13:40 AM
GameInit (1 - 8/17/2016 10:13:40 AM)     8/17/2016 10:13:41 AM
Version: 1.501     8/17/2016 10:13:43 AM
sound file count: 793     8/17/2016 10:13:44 AM
sound loading finished     8/17/2016 10:13:44 AM
GameInit (2 - 8/17/2016 10:13:44 AM)     8/17/2016 10:13:49 AM
GameInit (3 - 8/17/2016 10:13:49 AM)     8/17/2016 8:44:08 PM
Steamworks Init     8/17/2016 8:44:08 PM
Steamworks IsRunning: True     8/17/2016 8:44:08 PM
GameInit (0 - 8/17/2016 8:44:08 PM)     8/17/2016 8:44:21 PM
GameInit (1 - 8/17/2016 8:44:21 PM)     8/17/2016 8:44:21 PM
Version: 1.501     8/17/2016 8:44:24 PM
sound file count: 793     8/17/2016 8:44:24 PM
sound loading finished     8/17/2016 8:44:24 PM
GameInit (2 - 8/17/2016 8:44:24 PM)     8/17/2016 8:44:36 PM
GameInit (3 - 8/17/2016 8:44:36 PM)     8/18/2016 10:21:09 AM
Steamworks Init     8/18/2016 10:21:09 AM
Steamworks IsRunning: True     8/18/2016 10:21:09 AM
GameInit (0 - 8/18/2016 10:21:09 AM)     8/18/2016 10:21:20 AM
GameInit (1 - 8/18/2016 10:21:20 AM)     8/18/2016 10:21:20 AM
Version: 1.501     8/18/2016 10:21:22 AM
sound file count: 793     8/18/2016 10:21:22 AM
sound loading finished     8/18/2016 10:21:22 AM
GameInit (2 - 8/18/2016 10:21:22 AM)     8/18/2016 10:21:29 AM
GameInit (3 - 8/18/2016 10:21:29 AM)     8/18/2016 10:18:26 PM
Steamworks Init     8/18/2016 10:18:26 PM
Steamworks IsRunning: True     8/18/2016 10:18:27 PM
GameInit (0 - 8/18/2016 10:18:27 PM)     8/18/2016 10:18:40 PM
GameInit (1 - 8/18/2016 10:18:40 PM)     8/18/2016 10:18:40 PM
Version: 1.501     8/18/2016 10:18:42 PM
sound file count: 793     8/18/2016 10:18:43 PM
sound loading finished     8/18/2016 10:18:43 PM
GameInit (2 - 8/18/2016 10:18:43 PM)     8/18/2016 10:18:50 PM
GameInit (3 - 8/18/2016 10:18:50 PM)     8/19/2016 12:43:06 AM
Steamworks Init     8/19/2016 12:43:06 AM
Steamworks IsRunning: True     8/19/2016 12:43:06 AM
GameInit (0 - 8/19/2016 12:43:06 AM)     8/19/2016 12:43:13 AM
GameInit (1 - 8/19/2016 12:43:13 AM)     8/19/2016 12:43:13 AM
Version: 1.501     8/19/2016 12:43:15 AM
sound file count: 793     8/19/2016 12:43:15 AM
sound loading finished     8/19/2016 12:43:15 AM
GameInit (2 - 8/19/2016 12:43:15 AM)     8/19/2016 12:43:22 AM
GameInit (3 - 8/19/2016 12:43:22 AM)     8/19/2016 4:01:42 PM
Steamworks Init     8/19/2016 4:01:42 PM
Steamworks IsRunning: True     8/19/2016 4:01:42 PM
GameInit (0 - 8/19/2016 4:01:42 PM)     8/19/2016 4:01:54 PM
GameInit (1 - 8/19/2016 4:01:54 PM)     8/19/2016 4:01:54 PM
Version: 1.501     8/19/2016 4:01:56 PM
sound file count: 793     8/19/2016 4:01:56 PM
sound loading finished     8/19/2016 4:01:56 PM
GameInit (2 - 8/19/2016 4:01:56 PM)     8/19/2016 4:02:03 PM
GameInit (3 - 8/19/2016 4:02:03 PM)     8/19/2016 6:33:14 PM
Null TypeData passed to CreateNewOnServerOnly!

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at GameEntity.CreateNewOnServerOnly(.Flock Flock, .GameEntityTypeData TypeData)
   at CombatEncounter.Create(Vector2 SpawnPoint, Int32 FloorIndex, Boolean CopyStuffFromOldPlayerEntity, .GameEntity oldPlayerEntity, System.Collections.Generic.List`1 modifiersBeforeSwitch, System.Collections.Generic.List`1 modifiersForShotsBeforeSwitch)
   at World.SwitchToRoom(.Room newRoom, Vector2 spawnPoint, Boolean CopyStuffFromOldPlayerEntity)
   at Mapgen.WorkThreadOnly_GenerateNewGame()
   at Game.WorkThreadOnly_StartNewGame()
   at Game+<StartWorkThread>c__AnonStoreyF.<>m__11(System.Object )

8/19/2016 6:33:14 PM
System.NullReferenceException: Object reference not set to an instance of an object
  at CombatEncounter.Create (Vector2 SpawnPoint, Int32 FloorIndex, Boolean CopyStuffFromOldPlayerEntity, .GameEntity oldPlayerEntity, System.Collections.Generic.List`1 modifiersBeforeSwitch, System.Collections.Generic.List`1 modifiersForShotsBeforeSwitch) [0x00000] in <filename unknown>:0 
  at World.SwitchToRoom (.Room newRoom, Vector2 spawnPoint, Boolean CopyStuffFromOldPlayerEntity) [0x00000] in <filename unknown>:0 
  at Mapgen.WorkThreadOnly_GenerateNewGame () [0x00000] in <filename unknown>:0 
  at Game.WorkThreadOnly_StartNewGame () [0x00000] in <filename unknown>:0      8/19/2016 11:37:39 PM
Steamworks Init     8/19/2016 11:37:39 PM
Steamworks IsRunning: True     8/19/2016 11:37:39 PM
GameInit (0 - 8/19/2016 11:37:39 PM)     8/19/2016 11:37:49 PM
GameInit (1 - 8/19/2016 11:37:49 PM)     8/19/2016 11:37:49 PM
Version: 1.501     8/19/2016 11:37:52 PM
sound file count: 793     8/19/2016 11:37:56 PM
sound loading finished     8/19/2016 11:38:02 PM
GameInit (2 - 8/19/2016 11:38:02 PM)     8/19/2016 11:38:14 PM
GameInit (3 - 8/19/2016 11:38:14 PM)     8/20/2016 1:44:11 PM
Steamworks Init     8/20/2016 1:44:11 PM
Steamworks IsRunning: True     8/20/2016 1:44:12 PM
GameInit (0 - 8/20/2016 1:44:12 PM)     8/20/2016 1:44:24 PM
GameInit (1 - 8/20/2016 1:44:24 PM)     8/20/2016 1:44:24 PM
Version: 1.501     8/20/2016 1:44:26 PM
sound file count: 793     8/20/2016 1:44:27 PM
sound loading finished     8/20/2016 1:44:27 PM
GameInit (2 - 8/20/2016 1:44:27 PM)     8/20/2016 1:44:34 PM
GameInit (3 - 8/20/2016 1:44:34 PM)     8/20/2016 2:36:31 PM
Steamworks Init     8/20/2016 2:36:31 PM
Steamworks IsRunning: True     8/20/2016 2:36:31 PM
GameInit (0 - 8/20/2016 2:36:31 PM)     8/20/2016 2:36:35 PM
GameInit (1 - 8/20/2016 2:36:35 PM)     8/20/2016 2:36:35 PM
Version: 1.501     8/20/2016 2:36:35 PM
sound file count: 793     8/20/2016 2:36:35 PM
sound loading finished     8/20/2016 2:36:35 PM
GameInit (2 - 8/20/2016 2:36:35 PM)     8/20/2016 2:36:46 PM
GameInit (3 - 8/20/2016 2:36:46 PM)     8/20/2016 2:44:33 PM
Steamworks Init     8/20/2016 2:44:33 PM
Steamworks IsRunning: True     8/20/2016 2:44:33 PM
GameInit (0 - 8/20/2016 2:44:33 PM)     8/20/2016 2:44:36 PM
GameInit (1 - 8/20/2016 2:44:36 PM)     8/20/2016 2:44:36 PM
Version: 1.501     8/20/2016 2:44:36 PM
sound file count: 793     8/20/2016 2:44:37 PM
sound loading finished     8/20/2016 2:44:37 PM
GameInit (2 - 8/20/2016 2:44:37 PM)     8/20/2016 2:44:48 PM
GameInit (3 - 8/20/2016 2:44:48 PM)     8/20/2016 2:55:53 PM
Steamworks Init     8/20/2016 2:55:53 PM
Steamworks IsRunning: True     8/20/2016 2:55:53 PM
GameInit (0 - 8/20/2016 2:55:53 PM)     8/20/2016 2:55:56 PM
GameInit (1 - 8/20/2016 2:55:56 PM)     8/20/2016 2:55:57 PM
Version: 1.501     8/20/2016 2:55:57 PM
sound file count: 793     8/20/2016 2:55:57 PM
sound loading finished     8/20/2016 2:55:57 PM
GameInit (2 - 8/20/2016 2:55:57 PM)     8/20/2016 2:56:08 PM
GameInit (3 - 8/20/2016 2:56:08 PM)     8/20/2016 7:26:49 PM
Steamworks Init     8/20/2016 7:26:49 PM
Steamworks IsRunning: True     8/20/2016 7:26:49 PM
GameInit (0 - 8/20/2016 7:26:49 PM)     8/20/2016 7:26:54 PM
GameInit (1 - 8/20/2016 7:26:54 PM)     8/20/2016 7:26:54 PM
Version: 1.501     8/20/2016 7:26:54 PM
sound file count: 793     8/20/2016 7:26:55 PM
sound loading finished     8/20/2016 7:26:55 PM
GameInit (2 - 8/20/2016 7:26:55 PM)     8/20/2016 7:27:00 PM
GameInit (3 - 8/20/2016 7:27:00 PM)     8/20/2016 8:39:43 PM
Per-frame debugger activated.     8/20/2016 8:39:54 PM
Bug Report Save Successfully Saved To C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Save/ForBugReports/ForBugReport_2016_08_20_20_39_54.save     8/21/2016 1:31:31 PM
Steamworks Init     8/21/2016 1:31:31 PM
Steamworks IsRunning: True     8/21/2016 1:31:31 PM
GameInit (0 - 8/21/2016 1:31:31 PM)     8/21/2016 1:31:46 PM
GameInit (1 - 8/21/2016 1:31:46 PM)     8/21/2016 1:31:46 PM
Version: 1.501     8/21/2016 1:31:48 PM
sound file count: 793     8/21/2016 1:31:58 PM
sound loading finished     8/21/2016 1:32:01 PM
GameInit (2 - 8/21/2016 1:32:01 PM)     8/21/2016 1:32:11 PM
GameInit (3 - 8/21/2016 1:32:11 PM)     8/21/2016 1:39:09 PM
Could not find any ships of category Defensive, so loaded one of Wander_3x3 instead.  This is probably just a matter of us not having defined enough enemies yet, not a room definition error.     8/21/2016 1:39:09 PM
Could not find any ships of category Defensive, so loaded one of Wander_3x3 instead.  This is probably just a matter of us not having defined enough enemies yet, not a room definition error.     8/21/2016 3:30:38 PM
-----------
Trying to reload asset from disk that is not stored on disk
Stack Trace: 


   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at MainCameraLogic.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity)
   at MainCameraLogic.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type)
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)

8/21/2016 3:30:38 PM
ErrorsReportedByEngine:    -----------
Trying to reload asset from disk that is not stored on disk
Stack Trace: 


   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText)
   at MainCameraLogic.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity)
   at MainCameraLogic.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type)
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)

8/21/2016 4:19:05 PM
Steamworks Init     8/21/2016 4:19:05 PM
Steamworks IsRunning: True     8/21/2016 4:19:05 PM
GameInit (0 - 8/21/2016 4:19:05 PM)     8/21/2016 4:19:12 PM
GameInit (1 - 8/21/2016 4:19:12 PM)     8/21/2016 4:19:12 PM
Version: 1.501     8/21/2016 4:19:13 PM
sound file count: 793     8/21/2016 4:19:14 PM
sound loading finished     8/21/2016 4:19:15 PM
GameInit (2 - 8/21/2016 4:19:15 PM)     8/21/2016 4:19:27 PM
GameInit (3 - 8/21/2016 4:19:27 PM)     8/21/2016 5:26:02 PM
Steamworks Init     8/21/2016 5:26:02 PM
Steamworks IsRunning: True     8/21/2016 5:26:02 PM
GameInit (0 - 8/21/2016 5:26:02 PM)     8/21/2016 5:26:06 PM
Error: table 'EntitySystemTypeDataTable' does not have data for the following rows, which were referenced somewhere:
PlayerDirected_SplatterShot     8/21/2016 5:26:06 PM
GameInit (1 - 8/21/2016 5:26:06 PM)     8/21/2016 5:26:06 PM
Version: 1.501     8/21/2016 5:26:06 PM
sound file count: 793     8/21/2016 5:26:06 PM
sound loading finished     8/21/2016 5:26:06 PM
GameInit (2 - 8/21/2016 5:26:06 PM)     8/21/2016 5:26:17 PM
GameInit (3 - 8/21/2016 5:26:17 PM)     8/21/2016 5:32:31 PM
Steamworks Init     8/21/2016 5:32:31 PM
Steamworks IsRunning: True     8/21/2016 5:32:31 PM
GameInit (0 - 8/21/2016 5:32:31 PM)     8/21/2016 5:32:34 PM
GameInit (1 - 8/21/2016 5:32:34 PM)     8/21/2016 5:32:34 PM
Version: 1.501     8/21/2016 5:32:34 PM
sound file count: 793     8/21/2016 5:32:34 PM
sound loading finished     8/21/2016 5:32:34 PM
GameInit (2 - 8/21/2016 5:32:34 PM)     8/21/2016 5:32:45 PM
GameInit (3 - 8/21/2016 5:32:45 PM)     8/21/2016 5:32:48 PM
Exception occurred during world deserialization:DynamicTableRowNotFoundException
Error: tried to deserialize 'EntitySystemTypeData' with InternalName 'PlayerDirected_SplatterShot' but that's nowhere to be found in the data files.
Will now log details in WorldDeserializationErrors.txt

  at ArcenDynamicTable`1[T].DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at EntitySystem.DeserializeFrom (.GameEntity ParentEntity, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at GameEntity.DeserializeFrom (.CombatEncounter Combat, .CombatSide Side, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at CombatEncounter.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Room.DeserializeFrom (.Floor ForFloor, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Floor.DeserializeFrom (.Dungeon ForDungeon, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Dungeon.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at World.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, .WorldSerializationVersion& DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at World.LoadWorldFromDiskInner (System.String SaveName, Boolean IsForBugReport, System.String Text) [0x00000] in <filename unknown>:0 
  at World.LoadWorldFromDisk (System.String SaveName, Boolean IsForBugReport, System.Exception& ExceptionEncounteredOrNull) [0x00000] in <filename unknown>:0 

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at World.LoadWorldExceptionHandling(System.Exception e)
   at World.LoadWorldFromDisk(System.String SaveName, Boolean IsForBugReport, System.Exception ByRef ExceptionEncounteredOrNull)
   at MainMenu.LoadGameInner(System.String Savename, Boolean IsForBugReport, Boolean DoTransitions)
   at Game.DrawGame()
   at Game.UpdateDisplay(Boolean IsFullVisualUpdate)
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 5:34:42 PM
Steamworks Init     8/21/2016 5:34:42 PM
Steamworks IsRunning: True     8/21/2016 5:34:42 PM
GameInit (0 - 8/21/2016 5:34:42 PM)     8/21/2016 5:34:46 PM
GameInit (1 - 8/21/2016 5:34:46 PM)     8/21/2016 5:34:46 PM
Version: 1.501     8/21/2016 5:34:46 PM
sound file count: 793     8/21/2016 5:34:46 PM
sound loading finished     8/21/2016 5:34:46 PM
GameInit (2 - 8/21/2016 5:34:46 PM)     8/21/2016 5:34:57 PM
GameInit (3 - 8/21/2016 5:34:57 PM)     8/21/2016 5:38:50 PM
Steamworks Init     8/21/2016 5:38:50 PM
Steamworks IsRunning: True     8/21/2016 5:38:50 PM
GameInit (0 - 8/21/2016 5:38:50 PM)     8/21/2016 5:38:53 PM
GameInit (1 - 8/21/2016 5:38:53 PM)     8/21/2016 5:38:53 PM
Version: 1.501     8/21/2016 5:38:53 PM
sound file count: 793     8/21/2016 5:38:54 PM
sound loading finished     8/21/2016 5:38:54 PM
GameInit (2 - 8/21/2016 5:38:54 PM)     8/21/2016 5:39:05 PM
GameInit (3 - 8/21/2016 5:39:05 PM)     8/21/2016 5:45:09 PM
Steamworks Init     8/21/2016 5:45:09 PM
Steamworks IsRunning: True     8/21/2016 5:45:09 PM
GameInit (0 - 8/21/2016 5:45:09 PM)     8/21/2016 5:45:13 PM
GameInit (1 - 8/21/2016 5:45:13 PM)     8/21/2016 5:45:13 PM
Version: 1.501     8/21/2016 5:45:13 PM
sound file count: 793     8/21/2016 5:45:13 PM
sound loading finished     8/21/2016 5:45:13 PM
GameInit (2 - 8/21/2016 5:45:13 PM)     8/21/2016 5:45:23 PM
GameInit (3 - 8/21/2016 5:45:23 PM)     8/21/2016 5:48:06 PM
Steamworks Init     8/21/2016 5:48:06 PM
Steamworks IsRunning: True     8/21/2016 5:48:06 PM
GameInit (0 - 8/21/2016 5:48:06 PM)     8/21/2016 5:48:10 PM
GameInit (1 - 8/21/2016 5:48:10 PM)     8/21/2016 5:48:10 PM
Version: 1.501     8/21/2016 5:48:10 PM
sound file count: 793     8/21/2016 5:48:10 PM
sound loading finished     8/21/2016 5:48:10 PM
GameInit (2 - 8/21/2016 5:48:10 PM)     8/21/2016 5:48:21 PM
GameInit (3 - 8/21/2016 5:48:21 PM)     8/21/2016 5:59:48 PM
Steamworks Init     8/21/2016 5:59:48 PM
Steamworks IsRunning: True     8/21/2016 5:59:48 PM
GameInit (0 - 8/21/2016 5:59:48 PM)     8/21/2016 5:59:50 PM
ArcenXML::ArcenLoadRootElement(), error opening file C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml:System.Xml.XmlException: End tag cannot appear in this state. file:///C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml Line 1, position 3.
  at Mono.Xml2.XmlTextReader.ReadEndTag () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.EntityResolvingXmlReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.Schema.XsdValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.String filename) [0x00000] in <filename unknown>:0 
  at ArcenXML.ArcenLoadRootElement (System.String Filepath) [0x00000] in <filename unknown>:0 

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at ArcenXML.ArcenLoadRootElement(System.String Filepath)
   at ArcenXML.ImportIntoDynamicTable(.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion)
   at ArcenXML.ImportIntoDynamicTable_XMLDirectory(.ArcenDynamicTable`1 Table, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse)
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 5:59:50 PM
Errors in reading EntitySystemTypeDataTable
Error in ArcenXML.ImportIntoDynamicTable while reading C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml: System.ArgumentNullException: Argument cannot be null.
Parameter name: key
  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0 

  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0      8/21/2016 5:59:51 PM
Error: table 'EntitySystemTypeDataTable' does not have data for the following rows, which were referenced somewhere:
PlayerAmmo_WarpCannon     8/21/2016 5:59:51 PM
GameInit (1 - 8/21/2016 5:59:51 PM)     8/21/2016 5:59:51 PM
Version: 1.501     8/21/2016 5:59:51 PM
sound file count: 793     8/21/2016 5:59:52 PM
sound loading finished     8/21/2016 5:59:52 PM
GameInit (2 - 8/21/2016 5:59:52 PM)     8/21/2016 6:00:03 PM
GameInit (3 - 8/21/2016 6:00:03 PM)     8/21/2016 6:01:17 PM
Steamworks Init     8/21/2016 6:01:17 PM
Steamworks IsRunning: True     8/21/2016 6:01:17 PM
GameInit (0 - 8/21/2016 6:01:17 PM)     8/21/2016 6:01:19 PM
ArcenXML::ArcenLoadRootElement(), error opening file C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml:System.Xml.XmlException: End tag cannot appear in this state. file:///C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml Line 1, position 3.
  at Mono.Xml2.XmlTextReader.ReadEndTag () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.EntityResolvingXmlReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.Schema.XsdValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.String filename) [0x00000] in <filename unknown>:0 
  at ArcenXML.ArcenLoadRootElement (System.String Filepath) [0x00000] in <filename unknown>:0 

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at ArcenXML.ArcenLoadRootElement(System.String Filepath)
   at ArcenXML.ImportIntoDynamicTable(.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion)
   at ArcenXML.ImportIntoDynamicTable_XMLDirectory(.ArcenDynamicTable`1 Table, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse)
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 6:01:19 PM
Errors in reading EntitySystemTypeDataTable
Error in ArcenXML.ImportIntoDynamicTable while reading C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml: System.ArgumentNullException: Argument cannot be null.
Parameter name: key
  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0 

  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0      8/21/2016 6:01:20 PM
Error: table 'EntitySystemTypeDataTable' does not have data for the following rows, which were referenced somewhere:
PlayerAmmo_WarpCannon     8/21/2016 6:01:21 PM
GameInit (1 - 8/21/2016 6:01:21 PM)     8/21/2016 6:01:21 PM
Version: 1.501     8/21/2016 6:01:21 PM
sound file count: 793     8/21/2016 6:01:21 PM
sound loading finished     8/21/2016 6:01:21 PM
GameInit (2 - 8/21/2016 6:01:21 PM)     8/21/2016 6:01:32 PM
GameInit (3 - 8/21/2016 6:01:32 PM)     8/21/2016 6:02:10 PM
Steamworks Init     8/21/2016 6:02:10 PM
Steamworks IsRunning: True     8/21/2016 6:02:10 PM
GameInit (0 - 8/21/2016 6:02:10 PM)     8/21/2016 6:02:12 PM
ArcenXML::ArcenLoadRootElement(), error opening file C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml:System.Xml.XmlException: End tag cannot appear in this state. file:///C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml Line 2, position 3.
  at Mono.Xml2.XmlTextReader.ReadEndTag () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.EntityResolvingXmlReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml.DTDValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at Mono.Xml.Schema.XsdValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlValidatingReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.String filename) [0x00000] in <filename unknown>:0 
  at ArcenXML.ArcenLoadRootElement (System.String Filepath) [0x00000] in <filename unknown>:0 

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at ArcenXML.ArcenLoadRootElement(System.String Filepath)
   at ArcenXML.ImportIntoDynamicTable(.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion)
   at ArcenXML.ImportIntoDynamicTable_XMLDirectory(.ArcenDynamicTable`1 Table, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse)
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 6:02:12 PM
Errors in reading EntitySystemTypeDataTable
Error in ArcenXML.ImportIntoDynamicTable while reading C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/EntitySystem/Monk_PlayerAmmoSystems.xml: System.ArgumentNullException: Argument cannot be null.
Parameter name: key
  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0 

  at System.Collections.Generic.Dictionary`2[System.Xml.XmlElement,ArcenXMLElement].ContainsKey (System.Xml.XmlElement key) [0x00000] in <filename unknown>:0 
  at ArcenXMLElement.GetFor (System.Xml.XmlElement Element) [0x00000] in <filename unknown>:0 
  at ArcenXML.ImportIntoDynamicTable[EntitySystemTypeData] (.ArcenDynamicTable`1 Table, System.String SourceFileNameWithoutExtension, .XmlDynamicTableImportRowProcessor`1 Processor, Boolean IsPostInitReParse, Expansion ForExpansion) [0x00000] in <filename unknown>:0      8/21/2016 6:02:14 PM
Error: table 'EntitySystemTypeDataTable' does not have data for the following rows, which were referenced somewhere:
PlayerAmmo_WarpCannon     8/21/2016 6:02:14 PM
GameInit (1 - 8/21/2016 6:02:14 PM)     8/21/2016 6:02:14 PM
Version: 1.501     8/21/2016 6:02:14 PM
sound file count: 793     8/21/2016 6:02:14 PM
sound loading finished     8/21/2016 6:02:14 PM
GameInit (2 - 8/21/2016 6:02:14 PM)     8/21/2016 6:02:25 PM
GameInit (3 - 8/21/2016 6:02:25 PM)     8/21/2016 6:04:51 PM
Steamworks Init     8/21/2016 6:04:51 PM
Steamworks IsRunning: True     8/21/2016 6:04:51 PM
GameInit (0 - 8/21/2016 6:04:51 PM)     8/21/2016 6:04:54 PM
Error: table 'GameEntityTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Warp Cannon     8/21/2016 6:04:55 PM
GameInit (1 - 8/21/2016 6:04:55 PM)     8/21/2016 6:04:55 PM
Version: 1.501     8/21/2016 6:04:55 PM
sound file count: 793     8/21/2016 6:04:55 PM
sound loading finished     8/21/2016 6:04:55 PM
GameInit (2 - 8/21/2016 6:04:55 PM)     8/21/2016 6:05:06 PM
GameInit (3 - 8/21/2016 6:05:06 PM)     8/21/2016 6:06:38 PM
Steamworks Init     8/21/2016 6:06:38 PM
Steamworks IsRunning: True     8/21/2016 6:06:38 PM
GameInit (0 - 8/21/2016 6:06:38 PM)     8/21/2016 6:06:41 PM
Error: table 'GameEntityTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Guardian Blaster     8/21/2016 6:06:41 PM
GameInit (1 - 8/21/2016 6:06:41 PM)     8/21/2016 6:06:41 PM
Version: 1.501     8/21/2016 6:06:41 PM
sound file count: 793     8/21/2016 6:06:42 PM
sound loading finished     8/21/2016 6:06:42 PM
GameInit (2 - 8/21/2016 6:06:42 PM)     8/21/2016 6:06:53 PM
GameInit (3 - 8/21/2016 6:06:53 PM)     8/21/2016 6:08:12 PM
Steamworks Init     8/21/2016 6:08:12 PM
Steamworks IsRunning: True     8/21/2016 6:08:12 PM
GameInit (0 - 8/21/2016 6:08:12 PM)     8/21/2016 6:08:15 PM
Error: table 'GameEntityTypeDataTable' does not have data for the following rows, which were referenced somewhere:
Guardian Blaster     8/21/2016 6:08:15 PM
GameInit (1 - 8/21/2016 6:08:15 PM)     8/21/2016 6:08:15 PM
Version: 1.501     8/21/2016 6:08:15 PM
sound file count: 793     8/21/2016 6:08:15 PM
sound loading finished     8/21/2016 6:08:15 PM
GameInit (2 - 8/21/2016 6:08:15 PM)     8/21/2016 6:08:26 PM
GameInit (3 - 8/21/2016 6:08:26 PM)     8/21/2016 7:06:40 PM
Steamworks Init     8/21/2016 7:06:40 PM
Steamworks IsRunning: True     8/21/2016 7:06:40 PM
GameInit (0 - 8/21/2016 7:06:40 PM)     8/21/2016 7:06:44 PM
GameInit (1 - 8/21/2016 7:06:44 PM)     8/21/2016 7:06:44 PM
Version: 1.501     8/21/2016 7:06:44 PM
sound file count: 793     8/21/2016 7:06:44 PM
sound loading finished     8/21/2016 7:06:44 PM
GameInit (2 - 8/21/2016 7:06:44 PM)     8/21/2016 7:06:54 PM
GameInit (3 - 8/21/2016 7:06:54 PM)     8/21/2016 7:25:40 PM
Steamworks Init     8/21/2016 7:25:40 PM
Steamworks IsRunning: True     8/21/2016 7:25:40 PM
GameInit (0 - 8/21/2016 7:25:40 PM)     8/21/2016 7:25:42 PM
Bullet::CreateFromXmlElement called on element with Name wait, expected bullet

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Bullet.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletPatternDataTable.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletAction_SpawnBulletPattern.SubclassCreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletAction.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at Bullet.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletPatternDataTable.Helper_LoadPatterns(System.String directoryPath, Expansion ForExpansion)
   at BulletPatternDataTable.DoPreInitializationLogic()
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 7:25:42 PM
Bullet::CreateFromXmlElement called on element with Name die, expected bullet

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Bullet.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletPatternDataTable.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletAction_SpawnBulletPattern.SubclassCreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletAction.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at Bullet.CreateFromXmlElement(.ArcenXMLElement Element, Expansion ForExpansion)
   at BulletPatternDataTable.Helper_LoadPatterns(System.String directoryPath, Expansion ForExpansion)
   at BulletPatternDataTable.DoPreInitializationLogic()
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 7:25:44 PM
GameInit (1 - 8/21/2016 7:25:44 PM)     8/21/2016 7:25:44 PM
Version: 1.501     8/21/2016 7:25:44 PM
sound file count: 793     8/21/2016 7:25:44 PM
sound loading finished     8/21/2016 7:25:44 PM
GameInit (2 - 8/21/2016 7:25:44 PM)     8/21/2016 7:25:55 PM
GameInit (3 - 8/21/2016 7:25:55 PM)     8/21/2016 7:26:52 PM
Steamworks Init     8/21/2016 7:26:52 PM
Steamworks IsRunning: True     8/21/2016 7:26:52 PM
GameInit (0 - 8/21/2016 7:26:52 PM)     8/21/2016 7:26:53 PM
Error Opening file: System.Xml.XmlException: Expected >, but found _ [95]  Line 15, position 20.
  at Mono.Xml2.XmlTextReader.ExpectAfterWhitespace (Char c) [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadEndTag () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.LoadXml (System.String xml) [0x00000] in <filename unknown>:0 
  at BulletPatternDataTable.Helper_LoadPatterns (System.String directoryPath, Expansion ForExpansion) [0x00000] in <filename unknown>:0 :    C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/BulletPattern/Monk_BulletPatterns.xml

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText)
   at BulletPatternDataTable.Helper_LoadPatterns(System.String directoryPath, Expansion ForExpansion)
   at BulletPatternDataTable.DoPreInitializationLogic()
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 7:26:55 PM
Error: table 'BulletPatternDataTable' does not have data for the following rows, which were referenced somewhere:
WarpCannonPattern     8/21/2016 7:26:56 PM
GameInit (1 - 8/21/2016 7:26:56 PM)     8/21/2016 7:26:56 PM
Version: 1.501     8/21/2016 7:26:56 PM
sound file count: 793     8/21/2016 7:26:56 PM
sound loading finished     8/21/2016 7:26:56 PM
GameInit (2 - 8/21/2016 7:26:56 PM)     8/21/2016 7:27:07 PM
GameInit (3 - 8/21/2016 7:27:07 PM)     8/21/2016 7:28:14 PM
Steamworks Init     8/21/2016 7:28:14 PM
Steamworks IsRunning: True     8/21/2016 7:28:14 PM
GameInit (0 - 8/21/2016 7:28:14 PM)     8/21/2016 7:28:17 PM
GameInit (1 - 8/21/2016 7:28:17 PM)     8/21/2016 7:28:17 PM
Version: 1.501     8/21/2016 7:28:17 PM
sound file count: 793     8/21/2016 7:28:17 PM
sound loading finished     8/21/2016 7:28:17 PM
GameInit (2 - 8/21/2016 7:28:17 PM)     8/21/2016 7:28:28 PM
GameInit (3 - 8/21/2016 7:28:28 PM)     8/21/2016 7:29:39 PM
Steamworks Init     8/21/2016 7:29:39 PM
Steamworks IsRunning: True     8/21/2016 7:29:39 PM
GameInit (0 - 8/21/2016 7:29:39 PM)     8/21/2016 7:29:42 PM
GameInit (1 - 8/21/2016 7:29:42 PM)     8/21/2016 7:29:43 PM
Version: 1.501     8/21/2016 7:29:43 PM
sound file count: 793     8/21/2016 7:29:43 PM
sound loading finished     8/21/2016 7:29:43 PM
GameInit (2 - 8/21/2016 7:29:43 PM)     8/21/2016 7:29:54 PM
GameInit (3 - 8/21/2016 7:29:54 PM)     8/21/2016 7:30:41 PM
Steamworks Init     8/21/2016 7:30:41 PM
Steamworks IsRunning: True     8/21/2016 7:30:41 PM
GameInit (0 - 8/21/2016 7:30:41 PM)     8/21/2016 7:30:45 PM
GameInit (1 - 8/21/2016 7:30:45 PM)     8/21/2016 7:30:45 PM
Version: 1.501     8/21/2016 7:30:45 PM
sound file count: 793     8/21/2016 7:30:45 PM
sound loading finished     8/21/2016 7:30:45 PM
GameInit (2 - 8/21/2016 7:30:45 PM)     8/21/2016 7:30:56 PM
GameInit (3 - 8/21/2016 7:30:56 PM)     8/21/2016 8:22:45 PM
Steamworks Init     8/21/2016 8:22:45 PM
Steamworks IsRunning: True     8/21/2016 8:22:45 PM
GameInit (0 - 8/21/2016 8:22:45 PM)     8/21/2016 8:22:48 PM
Error Opening file: System.Xml.XmlException: 'bullet' is expected  Line 10, position 7.
  at Mono.Xml2.XmlTextReader.Expect (System.String expected) [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadEndTag () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.ReadContent () [0x00000] in <filename unknown>:0 
  at Mono.Xml2.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlTextReader.Read () [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNodeCore (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.ReadNode (System.Xml.XmlReader reader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.Load (System.Xml.XmlReader xmlReader) [0x00000] in <filename unknown>:0 
  at System.Xml.XmlDocument.LoadXml (System.String xml) [0x00000] in <filename unknown>:0 
  at BulletPatternDataTable.Helper_LoadPatterns (System.String directoryPath, Expansion ForExpansion) [0x00000] in <filename unknown>:0 :    C:/Program Files (x86)/Steam/steamapps/common/Starward Rogue/RuntimeData/Configuration/BulletPattern/Monk_BulletPatterns.xml

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText, Boolean SuppressArcenDebugLog)
   at EngineConfig.WriteToErrorFile(System.String ErrorFile, System.String ErrorName, System.String ErrorText)
   at BulletPatternDataTable.Helper_LoadPatterns(System.String directoryPath, Expansion ForExpansion)
   at BulletPatternDataTable.DoPreInitializationLogic()
   at ArcenDynamicTable`1.Initialize(Boolean IsPostInitReParse)
   at Game.GameForm_Load()
   at Game.ContinueInitializeGame()
   at Game.ContinueMultiStageProcess()
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 8:22:52 PM
Error: table 'BulletPatternDataTable' does not have data for the following rows, which were referenced somewhere:
WarpCannonPattern     8/21/2016 8:22:52 PM
GameInit (1 - 8/21/2016 8:22:52 PM)     8/21/2016 8:22:52 PM
Version: 1.501     8/21/2016 8:22:53 PM
sound file count: 793     8/21/2016 8:22:54 PM
sound loading finished     8/21/2016 8:22:54 PM
GameInit (2 - 8/21/2016 8:22:54 PM)     8/21/2016 8:23:01 PM
GameInit (3 - 8/21/2016 8:23:01 PM)     8/21/2016 8:26:08 PM
Steamworks Init     8/21/2016 8:26:08 PM
Steamworks IsRunning: True     8/21/2016 8:26:08 PM
GameInit (0 - 8/21/2016 8:26:08 PM)     8/21/2016 8:26:12 PM
GameInit (1 - 8/21/2016 8:26:12 PM)     8/21/2016 8:26:12 PM
Version: 1.501     8/21/2016 8:26:12 PM
sound file count: 793     8/21/2016 8:26:12 PM
sound loading finished     8/21/2016 8:26:12 PM
GameInit (2 - 8/21/2016 8:26:12 PM)     8/21/2016 8:26:23 PM
GameInit (3 - 8/21/2016 8:26:23 PM)     8/21/2016 9:02:24 PM
Steamworks Init     8/21/2016 9:02:24 PM
Steamworks IsRunning: True     8/21/2016 9:02:24 PM
GameInit (0 - 8/21/2016 9:02:24 PM)     8/21/2016 9:02:27 PM
Error: table 'GameEntityTypeDataTable' does not have data for the following rows, which were referenced somewhere:
TeleportBeaconA     8/21/2016 9:02:27 PM
GameInit (1 - 8/21/2016 9:02:27 PM)     8/21/2016 9:02:27 PM
Version: 1.501     8/21/2016 9:02:28 PM
sound file count: 793     8/21/2016 9:02:28 PM
sound loading finished     8/21/2016 9:02:28 PM
GameInit (2 - 8/21/2016 9:02:28 PM)     8/21/2016 9:02:39 PM
GameInit (3 - 8/21/2016 9:02:39 PM)     8/21/2016 9:05:06 PM
Steamworks Init     8/21/2016 9:05:06 PM
Steamworks IsRunning: True     8/21/2016 9:05:06 PM
GameInit (0 - 8/21/2016 9:05:06 PM)     8/21/2016 9:05:10 PM
GameInit (1 - 8/21/2016 9:05:10 PM)     8/21/2016 9:05:10 PM
Version: 1.501     8/21/2016 9:05:10 PM
sound file count: 793     8/21/2016 9:05:10 PM
sound loading finished     8/21/2016 9:05:10 PM
GameInit (2 - 8/21/2016 9:05:10 PM)     8/21/2016 9:05:21 PM
GameInit (3 - 8/21/2016 9:05:21 PM)     8/21/2016 9:05:24 PM
Exception occurred during world deserialization:DynamicTableRowNotFoundException
Error: tried to deserialize 'GameEntityTypeData' with InternalName 'TeleportBeaconA' but that's nowhere to be found in the data files.
Will now log details in WorldDeserializationErrors.txt

  at ArcenDynamicTable`1[T].DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at GameEntity.DeserializeFrom (.CombatEncounter Combat, .CombatSide Side, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at CombatSide.DeserializeFrom (.CombatEncounter Combat, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at CombatEncounter.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Room.DeserializeFrom (.Floor ForFloor, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Floor.DeserializeFrom (.Dungeon ForDungeon, .ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at Dungeon.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, WorldSerializationVersion DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at World.DeserializeFrom (.ArcenDeserializationBuffer Buffer, Boolean IsLoadingFromNetwork, .WorldSerializationVersion& DeserializingWorldVersion) [0x00000] in <filename unknown>:0 
  at World.LoadWorldFromDiskInner (System.String SaveName, Boolean IsForBugReport, System.String Text) [0x00000] in <filename unknown>:0 
  at World.LoadWorldFromDisk (System.String SaveName, Boolean IsForBugReport, System.Exception& ExceptionEncounteredOrNull) [0x00000] in <filename unknown>:0 

   at System.Environment.get_StackTrace()
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at World.LoadWorldExceptionHandling(System.Exception e)
   at World.LoadWorldFromDisk(System.String SaveName, Boolean IsForBugReport, System.Exception ByRef ExceptionEncounteredOrNull)
   at MainMenu.LoadGameInner(System.String Savename, Boolean IsForBugReport, Boolean DoTransitions)
   at Game.DrawGame()
   at Game.UpdateDisplay(Boolean IsFullVisualUpdate)
   at ArcenMainCameraImplementations.MainUpdateLogic()
   at MainCameraLogic.Update()

8/21/2016 9:15:26 PM
Steamworks Init     8/21/2016 9:15:26 PM
Steamworks IsRunning: True     8/21/2016 9:15:26 PM
GameInit (0 - 8/21/2016 9:15:26 PM)     8/21/2016 9:15:30 PM
GameInit (1 - 8/21/2016 9:15:30 PM)     8/21/2016 9:15:30 PM
Version: 1.501     8/21/2016 9:15:30 PM
sound file count: 793     8/21/2016 9:15:30 PM
sound loading finished     8/21/2016 9:15:30 PM
GameInit (2 - 8/21/2016 9:15:30 PM)     8/21/2016 9:15:41 PM
GameInit (3 - 8/21/2016 9:15:41 PM)     8/21/2016 10:18:03 PM
Steamworks Init     8/21/2016 10:18:03 PM
Steamworks IsRunning: True     8/21/2016 10:18:03 PM
GameInit (0 - 8/21/2016 10:18:03 PM)     8/21/2016 10:18:06 PM
GameInit (1 - 8/21/2016 10:18:06 PM)     8/21/2016 10:18:06 PM
Version: 1.501     8/21/2016 10:18:06 PM
sound file count: 793     8/21/2016 10:18:06 PM
sound loading finished     8/21/2016 10:18:06 PM
GameInit (2 - 8/21/2016 10:18:06 PM)     8/21/2016 10:18:17 PM
GameInit (3 - 8/21/2016 10:18:17 PM)     8/21/2016 11:39:24 PM
Steamworks Init     8/21/2016 11:39:24 PM
Steamworks IsRunning: True     8/21/2016 11:39:24 PM
GameInit (0 - 8/21/2016 11:39:24 PM)     8/21/2016 11:39:35 PM
GameInit (1 - 8/21/2016 11:39:35 PM)     8/21/2016 11:39:35 PM
Version: 1.501     8/21/2016 11:39:36 PM
sound file count: 793     8/21/2016 11:39:37 PM
sound loading finished     8/21/2016 11:39:37 PM
GameInit (2 - 8/21/2016 11:39:37 PM)     8/21/2016 11:39:48 PM
GameInit (3 - 8/21/2016 11:39:48 PM)     8/21/2016 11:41:22 PM
Steamworks Init     8/21/2016 11:41:22 PM
Steamworks IsRunning: True     8/21/2016 11:41:22 PM
GameInit (0 - 8/21/2016 11:41:22 PM)     8/21/2016 11:41:32 PM
GameInit (1 - 8/21/2016 11:41:32 PM)     8/21/2016 11:41:32 PM
Version: 1.501     8/21/2016 11:41:33 PM
sound file count: 793     8/21/2016 11:41:33 PM
sound loading finished     8/21/2016 11:41:35 PM
GameInit (2 - 8/21/2016 11:41:35 PM)     8/21/2016 11:41:51 PM
GameInit (3 - 8/21/2016 11:41:51 PM)     8/21/2016 11:43:51 PM
Steamworks Init     8/21/2016 11:43:51 PM
Steamworks IsRunning: True     8/21/2016 11:43:51 PM
GameInit (0 - 8/21/2016 11:43:51 PM)     8/21/2016 11:43:57 PM
GameInit (1 - 8/21/2016 11:43:57 PM)     8/21/2016 11:43:57 PM
Version: 1.501     8/21/2016 11:43:57 PM
sound file count: 793     8/21/2016 11:43:57 PM
sound loading finished     8/21/2016 11:43:57 PM
GameInit (2 - 8/21/2016 11:43:57 PM)     8/21/2016 11:44:08 PM
GameInit (3 - 8/21/2016 11:44:08 PM)     8/21/2016 11:44:23 PM
Could not find any ships of category Defensive, so loaded one of Wander_3x3 instead.  This is probably just a matter of us not having defined enough enemies yet, not a room definition error.     8/21/2016 11:44:23 PM
Could not find any ships of category Defensive, so loaded one of Wander_3x3 instead.  This is probably just a matter of us not having defined enough enemies yet, not a room definition error.     8/21/2016 11:48:38 PM
Steamworks Init     8/21/2016 11:48:38 PM
Steamworks IsRunning: True     8/21/2016 11:48:38 PM
GameInit (0 - 8/21/2016 11:48:38 PM)     8/21/2016 11:48:42 PM
GameInit (1 - 8/21/2016 11:48:42 PM)     8/21/2016 11:48:42 PM
Version: 1.501     8/21/2016 11:48:42 PM
sound file count: 793     8/21/2016 11:48:42 PM
sound loading finished     8/21/2016 11:48:42 PM
GameInit (2 - 8/21/2016 11:48:42 PM)     8/21/2016 11:48:53 PM
GameInit (3 - 8/21/2016 11:48:53 PM)     8/21/2016 11:49:58 PM
Steamworks Init     8/21/2016 11:49:58 PM
Steamworks IsRunning: True     8/21/2016 11:49:58 PM
GameInit (0 - 8/21/2016 11:49:58 PM)     8/21/2016 11:50:01 PM
GameInit (1 - 8/21/2016 11:50:01 PM)     8/21/2016 11:50:02 PM
Version: 1.501     8/21/2016 11:50:02 PM
sound file count: 793     8/21/2016 11:50:02 PM
sound loading finished     8/21/2016 11:50:02 PM
GameInit (2 - 8/21/2016 11:50:02 PM)     8/21/2016 11:50:13 PM
GameInit (3 - 8/21/2016 11:50:13 PM)     8/21/2016 11:51:26 PM
Steamworks Init     8/21/2016 11:51:26 PM
Steamworks IsRunning: True     8/21/2016 11:51:26 PM
GameInit (0 - 8/21/2016 11:51:26 PM)     8/21/2016 11:51:30 PM
GameInit (1 - 8/21/2016 11:51:30 PM)     8/21/2016 11:51:30 PM
Version: 1.501     8/21/2016 11:51:30 PM
sound file count: 793     8/21/2016 11:51:30 PM
sound loading finished     8/21/2016 11:51:30 PM
GameInit (2 - 8/21/2016 11:51:30 PM)     8/21/2016 11:51:41 PM
GameInit (3 - 8/21/2016 11:51:41 PM)     8/21/2016 11:52:24 PM
Steamworks Init     8/21/2016 11:52:24 PM
Steamworks IsRunning: True     8/21/2016 11:52:24 PM
GameInit (0 - 8/21/2016 11:52:24 PM)     8/21/2016 11:52:27 PM
GameInit (1 - 8/21/2016 11:52:27 PM)     8/21/2016 11:52:27 PM
Version: 1.501     8/21/2016 11:52:27 PM
sound file count: 793     8/21/2016 11:52:28 PM
sound loading finished     8/21/2016 11:52:28 PM
GameInit (2 - 8/21/2016 11:52:28 PM)     8/21/2016 11:52:39 PM
GameInit (3 - 8/21/2016 11:52:39 PM)     8/21/2016 11:53:29 PM
Steamworks Init     8/21/2016 11:53:29 PM
Steamworks IsRunning: True     8/21/2016 11:53:29 PM
GameInit (0 - 8/21/2016 11:53:29 PM)     8/21/2016 11:53:33 PM
GameInit (1 - 8/21/2016 11:53:33 PM)     8/21/2016 11:53:33 PM
Version: 1.501     8/21/2016 11:53:33 PM
sound file count: 793     8/21/2016 11:53:33 PM
sound loading finished     8/21/2016 11:53:33 PM
GameInit (2 - 8/21/2016 11:53:33 PM)     8/21/2016 11:53:44 PM
GameInit (3 - 8/21/2016 11:53:44 PM)     8/21/2016 11:54:14 PM
Steamworks Init     8/21/2016 11:54:14 PM
Steamworks IsRunning: True     8/21/2016 11:54:14 PM
GameInit (0 - 8/21/2016 11:54:14 PM)     8/21/2016 11:54:18 PM
GameInit (1 - 8/21/2016 11:54:18 PM)     8/21/2016 11:54:18 PM
Version: 1.501     8/21/2016 11:54:18 PM
sound file count: 793     8/21/2016 11:54:18 PM
sound loading finished     8/21/2016 11:54:18 PM
GameInit (2 - 8/21/2016 11:54:18 PM)     8/21/2016 11:54:29 PM
GameInit (3 - 8/21/2016 11:54:29 PM)     8/22/2016 12:09:04 AM
Steamworks Init     8/22/2016 12:09:04 AM
Steamworks IsRunning: True     8/22/2016 12:09:04 AM
GameInit (0 - 8/22/2016 12:09:04 AM)     8/22/2016 12:09:07 AM
GameInit (1 - 8/22/2016 12:09:07 AM)     8/22/2016 12:09:07 AM
Version: 1.501     8/22/2016 12:09:07 AM
sound file count: 793     8/22/2016 12:09:08 AM
sound loading finished     8/22/2016 12:09:08 AM
GameInit (2 - 8/22/2016 12:09:08 AM)     8/22/2016 12:09:19 AM
GameInit (3 - 8/22/2016 12:09:19 AM)     8/22/2016 12:41:05 AM
Steamworks Init     8/22/2016 12:41:05 AM
Steamworks IsRunning: True     8/22/2016 12:41:05 AM
GameInit (0 - 8/22/2016 12:41:05 AM)     8/22/2016 12:41:09 AM
GameInit (1 - 8/22/2016 12:41:09 AM)     8/22/2016 12:41:09 AM
Version: 1.501     8/22/2016 12:41:09 AM
sound file count: 793     8/22/2016 12:41:09 AM
sound loading finished     8/22/2016 12:41:09 AM
GameInit (2 - 8/22/2016 12:41:09 AM)     8/22/2016 12:41:20 AM
GameInit (3 - 8/22/2016 12:41:20 AM)     
ArcenDebugLog.txt (57,739 bytes)

Monkooky

Aug 22, 2016 4:32 am

reporter   ~0045562

Posted log and error messages.
There's a bunch of junk in the log from my modding efforts- I believe line 151 is the relevant one.

Monkooky

Aug 23, 2016 2:37 pm

reporter  

crash.dmp (172,384 bytes)

Monkooky

Aug 23, 2016 2:37 pm

reporter  

error.log (38,267 bytes)

x4000Bughunter

Feb 5, 2018 10:04 am

administrator   ~0046866

Okay, the word I have back from unity on this at the moment is as follows:

----------------

- I have checked the video of the crash in one of your cases, right before the crash, the graphics seems to glitch out.
- A screenshot of R6025 pure virtual function call error makes me think the crash is caused by graphics device drivers.
- All the users who had crashes are using older graphics card driver versions.

For now, could you inform your users who have these crashes to update their graphics card drivers?

If these crashes happen again with new drivers, contact me again and send me the new log files and crash dump files.

x4000Bughunter

Feb 7, 2018 4:22 pm

administrator   ~0046904

* FINALLY fixed the longstanding super-infrequent crashing that was happening for some-but-not-all players. This has been a thorn in our side for two years now, but we finally got some excellent help from Unity's engine developers themselves, and it turns out that we were triggering a crash bug somewhere deep in the engine via calls to WWW.audio.GetAudioClip().
** That's now on their list to investigate and fix, but in our case now that we know what the problem actually is, we've switched approaches to no longer use that method at all, instead baking the music and voice tracks into the game itself.
** We do still have to use this method for the SoundsFromMods optional folder, but that's just for modders who want to add sounds, and it should limit any crashes to on-startup only, not during gameplay. And in those instances it would only be if you're playing with some mods on, and even then only rarely if ever. For everyone currently playing the game that we are aware of, you won't have a crash from this piece. If you have a crash, that would be something else instead.
** Incidentally, the reason that the game was crashing after killing enemies or during room switches is... drumroll... because those are times when music tracks change. We were looking for so many other pieces of code that might be a problem during that time that we never thought to look at music. This is the same music code we've used since 2010 in every other title of ours prior to this one, so whatever the problem is with the underlying engine is must have been introduced in Unity 5 or thereabouts.

Issue History

Date Modified Username Field Change
Aug 21, 2016 5:31 pm Monkooky New Issue
Aug 22, 2016 2:29 am ptarth Note Added: 0045560
Aug 22, 2016 4:29 am Monkooky File Added: ErrorsReportedByEngine.txt
Aug 22, 2016 4:30 am Monkooky File Added: ArcenDebugLog.txt
Aug 22, 2016 4:32 am Monkooky Note Added: 0045562
Aug 23, 2016 2:37 pm Monkooky File Added: crash.dmp
Aug 23, 2016 2:37 pm Monkooky File Added: error.log
Sep 6, 2016 8:13 pm ptarth Relationship added related to 0018847
Dec 20, 2016 9:31 pm Dominus Arbitrationis Assigned To => keith.lamothe
Dec 20, 2016 9:31 pm Dominus Arbitrationis Status new => assigned
Feb 5, 2018 10:04 am x4000Bughunter Note Added: 0046866
Feb 7, 2018 4:22 pm x4000Bughunter Assigned To keith.lamothe => x4000Bughunter
Feb 7, 2018 4:22 pm x4000Bughunter Status assigned => resolved
Feb 7, 2018 4:22 pm x4000Bughunter Resolution open => fixed
Feb 7, 2018 4:22 pm x4000Bughunter Fixed in Version => 2.001 (Die A Fiery Death, Audio Crash)
Feb 7, 2018 4:22 pm x4000Bughunter Note Added: 0046904